//---------------------------------------------------------------------------
#ifndef dMandelbrotCH
#define dMandelbrotCH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "ServerPool.h"
#include <Dialogs.hpp>
#include <ScktComp.hpp>


//---------------------------------------------------------------------------
class TImageWin : public TForm
{
__published:	// IDE-managed Components
    TImage *Display;
    TMainMenu *MainMenu1;
    TMenuItem *File1;
    TMenuItem *View1;
    TMenuItem *Help;
    TMenuItem *Exit1;
    TMenuItem *View2;
    TMenuItem *ServerControls1;
    TMenuItem *ImageControls1;
    TMenuItem *About1;
    TMenuItem *Palette;
    TMenuItem *DefaultMNU;
    TMenuItem *RedMNU;
    TSaveDialog *SaveDialog1;
    void __fastcall ImageControls1Click(TObject *Sender);
    void __fastcall ServerControls1Click(TObject *Sender);
    void __fastcall Exit1Click(TObject *Sender);
    void __fastcall DisplayMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall DisplayMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
    void __fastcall DisplayMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall About1Click(TObject *Sender);
    void __fastcall RedMNUClick(TObject *Sender);
    void __fastcall View1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
    void CheckSize(void);
    __fastcall TImageWin(TComponent* Owner);


    int ImageWidth,ImageHeight;
    long double Imin,Imax,Rmin,Rmax;

    ServerPool *SPool;
    bool Drawing;
    POINT Origin, MovePt;

};
//---------------------------------------------------------------------------
extern PACKAGE TImageWin *ImageWin;
//---------------------------------------------------------------------------
#endif
